<?php 
/** 
*
* @package Multiple Newsletters Add On
* @version $Id: html.php, v 1.003 2010/08/01 Martin Truckenbrodt Exp$
* @copyright (c) 2009 phpBB Group 
* @license http://opensource.org/licenses/gpl-license.php GNU Public License 
*
*/

define('IN_PHPBB', true);
$phpbb_root_path = '../../';
$phpEx = substr(strrchr(__FILE__, '.'), 1);
include($phpbb_root_path . 'common.' . $phpEx);
include($phpbb_root_path . 'includes/functions_posting.' . $phpEx);
include($phpbb_root_path . 'includes/bbcode.' . $phpEx);

include($phpbb_root_path . 'includes/newsletter/constants.'.$phpEx); 
include($phpbb_root_path . 'includes/newsletter/functions.'.$phpEx); 

// Start session management
$user->session_begin();
$auth->acl($user->data);
$user->setup('mods/newsletter');

$server_url = generate_board_url();

$email_id		= request_var('e', 0);
$newsletter_id	= request_var('n', 0);

$sql = 'SELECT newsletter_id, email_subject, email_text, email_text_bitfield, email_text_uid, email_text_options, user_id FROM ' . NEWSLETTER_EMAIL_TABLE . '
	WHERE email_id =' . $email_id;
$result = $db->sql_query($sql);
$email_row = $db->sql_fetchrow($result);

if (!$newsletter_id)
{
	if (!$email_row['newsletter_id'])
	{
		trigger_error('NO_NEWSLETTER');
	}
	else
	{
		$newsletter_id = (int) $email_row['newsletter_id'];
	}
}

$sql = 'SELECT newsletter_name, newsletter_public, newsletter_css, newsletter_footer, newsletter_footer_bitfield, newsletter_footer_uid, newsletter_footer_options FROM ' . NEWSLETTER_TABLE . '
	WHERE newsletter_id = ' . $newsletter_id;
$result = $db->sql_query($sql);
$newsletter_row = $db->sql_fetchrow($result);

if (!$newsletter_row)
{
	trigger_error('NO_NEWSLETTER');
}

if (!newsletter_is_viewable($user->data['user_id'], $newsletter_id, $newsletter_row['newsletter_public']))
{
	trigger_error('NEWSLETTER_NOT_ALLOWED');
}

if (!$newsletter_row['newsletter_css'])
{
	$sql = 'SELECT theme_id FROM ' . STYLES_TABLE . '
		WHERE style_id = ' . (int) $user->data['user_style'];
	$result = $db->sql_query($sql);
	$row = $db->sql_fetchrow($result);
	$db->sql_freeresult($result);

	$sql = 'SELECT theme_path FROM ' . STYLES_THEME_TABLE . '
		WHERE theme_id = ' . (int) $row['theme_id'];
	$result = $db->sql_query($sql);
	$row = $db->sql_fetchrow($result);
	$db->sql_freeresult($result);

	$newsletter_row['newsletter_css'] = "<link rel='stylesheet' href='" . $server_url . "/styles/" . $row['theme_path'] . "/theme/stylesheet.css ' />
<link rel='stylesheet' href='". $server_url . "/styles/" . $row['theme_path'] . "/theme/email.css ' />";
}
else
{
	$newsletter_row['newsletter_css'] = "<link rel='stylesheet' href='" . $newsletter_row['newsletter_css'] . "' />";
}

echo '<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" dir="' . $user->lang['DIRECTION'] . '" lang="' . $user->lang['USER_LANG'] . '" xml:lang="' . $user->lang['USER_LANG'] . '">
<head>
<meta http-equiv="content-type" content="text/html; charset=UTF-8" />
<meta http-equiv="content-style-type" content="text/css" />
<meta http-equiv="content-language" content="' . $user->lang['USER_LANG'] . '" />
<meta http-equiv="imagetoolbar" content="no" />
<title>' . $newsletter_row['newsletter_name'] . '&nbsp;' . $email_row['email_subject'] . '</title>
' . $newsletter_row['newsletter_css'] . '
</head>
<body>
<div class="email">
<h2 class="email">' . $newsletter_row['newsletter_name'] . '</h2>
<h1 class="email">' . $email_row['email_subject'] . '</h1>
<br />
<div class="panel"><div class="inner">
<span class="corners-top"><span></span></span>
<h2 class="email">' . $user->lang['NEWSLETTER_WELCOME'] . '&nbsp;' . $user->data['username'] . ',</h2>
<br />
<p class="email">' . generate_text_for_display($email_row['email_text'], $email_row['email_text_uid'], $email_row['email_text_bitfield'], $email_row['email_text_options']) . '</p>
<br />
<p class="email">' . generate_text_for_display($newsletter_row['newsletter_footer'], $newsletter_row['newsletter_footer_uid'], $newsletter_row['newsletter_footer_bitfield'], $newsletter_row['newsletter_footer_options']) . '</p>
<br />
' . build_email_sender($email_id, $email_row['user_id']) . '
<p class="email">' . build_email_sender_signature($email_id, $email_row['user_id']) . '</p>
<span class="corners-bottom"><span></span></span>
</div></div>
<br />
<p class="email">' . nl2br($config['board_email_sig']) . '</p>
</div>
</body>
</html>';
?>

