<?php 
/** 
*
* @package Multiple Newsletters Add On
* @version $Id: plain.php, v 1.004 2010/08/08 Martin Truckenbrodt Exp$
* @copyright (c) 2009 phpBB Group 
* @license http://opensource.org/licenses/gpl-license.php GNU Public License 
*
*/

define('IN_PHPBB', true);
$phpbb_root_path = '../../';
$phpEx = substr(strrchr(__FILE__, '.'), 1);
include($phpbb_root_path . 'common.' . $phpEx);
include($phpbb_root_path . 'includes/functions_posting.' . $phpEx);
include($phpbb_root_path . 'includes/bbcode.' . $phpEx);

include($phpbb_root_path . 'includes/newsletter/constants.' . $phpEx);
include($phpbb_root_path . 'includes/newsletter/functions.' . $phpEx);

// Start session management
$user->session_begin();
$auth->acl($user->data);
$user->setup('mods/newsletter');

$email_id		= request_var('e', 0);
$newsletter_id	= request_var('n', 0);

$sql = 'SELECT newsletter_id, email_subject, email_text, email_text_bitfield, email_text_uid, email_text_options, user_id FROM ' . NEWSLETTER_EMAIL_TABLE . '
	WHERE email_id =' . $email_id;
$result = $db->sql_query($sql);
$email_row = $db->sql_fetchrow($result);

if (!$newsletter_id)
{
	if (!$email_row['newsletter_id'])
	{
		trigger_error('NO_NEWSLETTER');
	}
	else
	{
		$newsletter_id = (int) $email_row['newsletter_id'];
	}
}

$sql = 'SELECT newsletter_name, newsletter_public, newsletter_css, newsletter_footer, newsletter_footer_bitfield, newsletter_footer_uid, newsletter_footer_options FROM ' . NEWSLETTER_TABLE . '
	WHERE newsletter_id = ' . $newsletter_id;
$result = $db->sql_query($sql);
$newsletter_row = $db->sql_fetchrow($result);

if (!$newsletter_row)
{
	trigger_error('NO_NEWSLETTER');
}

if (!newsletter_is_viewable($user->data['user_id'], $newsletter_id, $newsletter_row['newsletter_public']))
{
	trigger_error('NEWSLETTER_NOT_ALLOWED');
}

echo '<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" dir="' . $user->lang['DIRECTION'] . '" lang="' . $user->lang['USER_LANG'] . '" xml:lang="' . $user->lang['USER_LANG'] . '">
<head>
<meta http-equiv="content-type" content="text/html; charset=UTF-8" />
<meta http-equiv="content-style-type" content="text/css" />
<meta http-equiv="content-language" content="' . $user->lang['USER_LANG'] . '" />
<meta http-equiv="imagetoolbar" content="no" />
<title>' . $newsletter_row['newsletter_name'] . '&nbsp;' . $email_row['email_subject'] . '</title>
</head>
<body>
<p>' . $newsletter_row['newsletter_name'] . '<br />'
 . $email_row['email_subject'] . '<br /><br />'
 . $user->lang['NEWSLETTER_WELCOME'] . ' ' . $user->data['username'] . ',<br /><br />'
 . htmlspecialchars_decode(text2plain(generate_text_for_display($email_row['email_text'], $email_row['email_text_uid'], $email_row['email_text_bitfield'], $email_row['email_text_options']), true, true)) . '<br /><br />'
 . htmlspecialchars_decode(text2plain(generate_text_for_display($newsletter_row['newsletter_footer'], $newsletter_row['newsletter_footer_uid'], $newsletter_row['newsletter_footer_bitfield'], $newsletter_row['newsletter_footer_options']), true, true)) . '<br /><br />'
 . htmlspecialchars_decode(text2plain(build_email_sender_plain($email_id, $email_row['user_id']), true, false)) . '<br />'
 . htmlspecialchars_decode(text2plain(build_email_sender_signature($email_id, $email_row['user_id']), true, true)) . '<br /><br />'
 . htmlspecialchars_decode(text2plain($config['board_email_sig'], true, false)) . '
</p>
</body>
</html>';
?>
