<?php 
/** 
*
* @package Multiple Newsletters Add On
* @version $Id: newsletter.php, v 1.003 2010/08/21 Martin Truckenbrodt Exp$
* @copyright (c) 2009 phpBB Group 
* @license http://opensource.org/licenses/gpl-license.php GNU Public License 
*
*/

define('IN_PHPBB', true);
$phpbb_root_path = './';
$phpEx = substr(strrchr(__FILE__, '.'), 1);

include($phpbb_root_path . 'common.' . $phpEx);
include($phpbb_root_path . 'includes/functions_posting.' . $phpEx);

include($phpbb_root_path . 'includes/newsletter/constants.'.$phpEx); 
include($phpbb_root_path . 'includes/newsletter/functions.'.$phpEx); 

// Start session management
$user->session_begin();
$auth->acl($user->data);
$user->setup('mods/newsletter');

$start	= request_var('start', 0);

$sql = 'SELECT COUNT(newsletter_id) AS num_newsletters
	FROM ' . NEWSLETTER_TABLE;
$result = $db->sql_query($sql);
$newsletters_count = (int) $db->sql_fetchfield('num_newsletters');
$db->sql_freeresult($result);

if (!$newsletters_count)
{
	trigger_error('NO_NEWSLETTERS');
}

// Make sure $start is set to the last page if it exceeds the amount
if ($start < 0 || $start > $newsletters_count)
{
	$start = ($start < 0) ? 0 : floor(($newsletters_count - 1) / $config['topics_per_page']) * $config['topics_per_page'];
}

// If the user is trying to reach late pages, start searching from the end
$sql_limit = $config['topics_per_page'];
if ($start > $newsletters_count / 2)
{
	if ($start + $config['topics_per_page'] > $newsletters_count)
	{
		$sql_limit = min($config['topics_per_page'], max(1, $newsletters_count - $start));
	}

	$sql_sort_order = 'DESC';
	$sql_start = max(0, $bewsletters_count - $sql_limit - $start);
}
else
{
	$sql_sort_order = 'ASC';
	$sql_start = $start;
}

$sql = 'SELECT newsletter_id, left_id, newsletter_name, newsletter_desc, newsletter_type, newsletter_lang, newsletter_desc_bitfield, newsletter_desc_options, newsletter_desc_uid FROM ' . NEWSLETTER_TABLE . '
	ORDER BY left_id ' . $sql_sort_order;
$result = $db->sql_query_limit($sql, $sql_limit, $sql_start);

$status = array();

while ($newsletter_row = $db->sql_fetchrow($result))
{
	if (newsletter_last_email($newsletter_row['newsletter_id']) > $user->data['user_lastvisit'])
	{
		$folder_img = 'forum_unread';
		$folder_image = 'forum_unread';
		$folder_alt = 'NEWSLETTER_NEW_EMAILS';
	}
	else
	{
		$folder_img = 'forum_read';
		$folder_image = 'forum_read';
		$folder_alt = 'NEWSLETTER_OLD_EMAILS';
	}
	$status = newslettter_status_display($user->data['user_id'], $newsletter_row['newsletter_id'], $newsletter_row['newsletter_type'], $newsletter_row['newsletter_lang']);
	$template->assign_block_vars('newsletterlist', array(
		'NAME'					=> $newsletter_row['newsletter_name'],
		'DESCRIPTION'			=> generate_text_for_display($newsletter_row['newsletter_desc'], $newsletter_row['newsletter_desc_uid'], $newsletter_row['newsletter_desc_bitfield'], $newsletter_row['newsletter_desc_options']),
		'L_STATUS'				=> $status['lang'],
		'U_STATUS'				=> $status['url'],
		'U_ARCHIVE'				=> append_sid("newsletter_archive.$phpEx?n=" . $newsletter_row['newsletter_id']),
		'EMAIL_FOLDER_IMG'		=> $user->img($folder_img, $folder_alt),
		'EMAIL_FOLDER_IMG_SRC'	=> $user->img($folder_image, $folder_alt, false, '', 'src'),
		'EMAIL_FOLDER_IMG_ALT'	=> isset($user->lang[$folder_alt]) ? $user->lang[$folder_alt] : '',
	));
};
$db->sql_freeresult($result);

$template->assign_vars(array(
	'U_NEWSLETTER_ARCHIVE'	=> append_sid("{$phpbb_root_path}newsletter_archive.$phpEx", 'n=' . $newsletter_row['newsletter_id']),
	'EMAILS_NEW_IMG'		=> $user->img('forum_unread', 'NEWSLETTER_NEW_EMAILS'),
	'EMAILS_OLD_IMG'		=> $user->img('forum_read', 'NEWSLETTER_OLD_EMAILS'),
	'PAGINATION'			=> generate_pagination(append_sid("{$phpbb_root_path}newsletter.$phpEx"), $newsletters_count, $config['topics_per_page'], $start),
	'PAGE_NUMBER'			=> on_page($newsletters_count, $config['topics_per_page'], $start),
	'TOTAL_NEWSLETTERS'		=> ($newsletters_count == 1) ? $user->lang['VIEW_NEWSLETTER'] : sprintf($user->lang['VIEW_NEWSLETTERS'], $newsletters_count),
	'MOD_FOOTER'			=> sprintf($user->lang['NEWSLETTER_MOD'], strval($config['mnewsletter_version']))
));

$template->assign_block_vars('navlinks', array(
	'FORUM_NAME'	=> $user->lang['NEWSLETTER'],
	'U_VIEW_FORUM'	=> append_sid("{$phpbb_root_path}newsletter.$phpEx")
));

page_header($user->lang['NEWSLETTER']);

$template->set_filenames(array(
	'body' => 'newsletter.html')
);

page_footer();

?>
